Improve the user experience for Moodle/Mahara assign integration

Bug #1882461 reported by Matt Clarkson on 2020-06-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Unassigned

Bug Description

- Allow LTI to grant permissions to view a portfolio (like MNET does).

- Add a Moodle Assignment submission as pre-configured webservice permission group.

Patches to follow.

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/11009

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/11010

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/11015

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/11010
Committed: https://git.mahara.org/mahara/mahara/commit/bb8f67923bdcc6716c146c7dd191c4526907b006
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit bb8f67923bdcc6716c146c7dd191c4526907b006
Author: Matt Clarkson <email address hidden>
Date: Mon Jun 8 13:27:48 2020 +1200

Bug 1882461: Remove hosts.wwwroot constraint on view/collection

The hosts table is not necessarily populated with all webservice
clients, but the host responsible for locking the view/collection
is still useful info to retain in the submittedhost field.

Change-Id: Ie8c870882edf8bcaa03f8fd30d9ff221f8429ecd

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/11009
Committed: https://git.mahara.org/mahara/mahara/commit/f582117dfba000eacc819ac9ec0b1dbc50e2baeb
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit f582117dfba000eacc819ac9ec0b1dbc50e2baeb
Author: Matt Clarkson <email address hidden>
Date: Mon Jun 8 09:18:17 2020 +1200

Bug 1882461: Add Moodle Assignment as a webservice permission group

Change-Id: Ia6efe0009c337c152202b8a0959bfc7eef378b81

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/11008
Committed: https://git.mahara.org/mahara/mahara/commit/b129924b6ba03c52543be13ccd29f340ac1187aa
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit b129924b6ba03c52543be13ccd29f340ac1187aa
Author: Matt Clarkson <email address hidden>
Date: Mon Jun 8 09:16:05 2020 +1200

Bug 1882461: LTI can grant view permissions to a view after login

This supports the flow of a user submitting their portfolio to an LMS
and a tutor viewing the portfolio for grading in the LMS.

Change-Id: I2e509b8016d078950623a3eec5341071be53f20a

Reviewed: https://reviews.mahara.org/11015
Committed: https://git.mahara.org/mahara/mahara/commit/ad2a7b521feff682f09f1218bc82ff7b2095713e
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ad2a7b521feff682f09f1218bc82ff7b2095713e
Author: Robert Lyon <email address hidden>
Date: Tue Jun 9 12:21:24 2020 +1200

Bug 1882461: submittedhost value with no host entry

Needs to show the url as the 'name' value

Change-Id: I5ebb3b139aac742f418bc41f1595705fe63647b6
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2020-06-29
Changed in mahara:
milestone: none → 20.10.0
importance: Undecided → Wishlist
status: New → Fix Committed
tags: added: nominatedfeature
tags: added: newfeature
removed: nominatedfeature
Robert Lyon (robertl-9) on 2020-10-22
Changed in mahara:
status: Fix Committed → Fix Released
David Ligne (david-ligne) wrote :

Hi, https://github.com/catalyst/assignsubmission-maharaws says we need to apply these patches on Mahara 20.04 or earlier, but they're only for the master branch.
Would you mind backporting them? It's no big deal though, only some conflicts on version.php files.

Hi David. That's a consulting request and can be done via our lowest support package: http://j.mp/catalyst-mahara-support

Thank you
Kristina

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers